Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040Supply

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040SupplyImpl

    public interface POCDMT000040Supply

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Supply'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Code`
- `Text`
- `Status Code`
- `Effective Time`
- `Priority Code`
- `Repeat Number`
- `Independent Ind`
- `Quantity`
- `Expected Use Time`
- `Subject`
- `Specimen`
- `Product`
- `Performer`
- `Author`
- `Informant`
- `Participant`
- `Entry Relationship`
- `Reference`
- `Precondition`
- `Class Code`
- `Mood Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040Supply()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAuthor()` Returns the value of the 'Author' containment reference list.
`ActClassSupply` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`CD` | `getCode()` Returns the value of the 'Code' containment reference.
`org.eclipse.emf.common.util.EList` | `getEffectiveTime()` Returns the value of the 'Effective Time' containment reference list.
`org.eclipse.emf.common.util.EList` | `getEntryRelationship()` Returns the value of the 'Entry Relationship' containment reference list.
`IVLTS` | `getExpectedUseTime()` Returns the value of the 'Expected Use Time' containment reference.
`org.eclipse.emf.common.util.EList` | `getId()` Returns the value of the 'Id' containment reference list.
`BL1` | `getIndependentInd()` Returns the value of the 'Independent Ind' containment reference.
`org.eclipse.emf.common.util.EList` | `getInformant()` Returns the value of the 'Informant' containment reference list.
`XDocumentSubstanceMood` | `getMoodCode()` Returns the value of the 'Mood Code' attribute.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getParticipant()` Returns the value of the 'Participant' containment reference list.
`org.eclipse.emf.common.util.EList` | `getPerformer()` Returns the value of the 'Performer' containment reference list.
`org.eclipse.emf.common.util.EList` | `getPrecondition()` Returns the value of the 'Precondition' containment reference list.
`org.eclipse.emf.common.util.EList` | `getPriorityCode()` Returns the value of the 'Priority Code' containment reference list.
`POCDMT000040Product` | `getProduct()` Returns the value of the 'Product' containment reference.
`PQ` | `getQuantity()` Returns the value of the 'Quantity' containment reference.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getReference()` Returns the value of the 'Reference' containment reference list.
`IVLINT` | `getRepeatNumber()` Returns the value of the 'Repeat Number' containment reference.
`org.eclipse.emf.common.util.EList` | `getSpecimen()` Returns the value of the 'Specimen' containment reference list.
`CS1` | `getStatusCode()` Returns the value of the 'Status Code' containment reference.
`POCDMT000040Subject` | `getSubject()` Returns the value of the 'Subject' containment reference.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`ED` | `getText()` Returns the value of the 'Text' containment reference.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`boolean` | `isSetMoodCode()` Returns whether the value of the '`Mood Code`' attribute is set.
`void` | `setClassCode(ActClassSupply value)` Sets the value of the '`Class Code`' attribute.
`void` | `setCode(CD value)` Sets the value of the '`Code`' containment reference.
`void` | `setExpectedUseTime(IVLTS value)` Sets the value of the '`Expected Use Time`' containment reference.
`void` | `setIndependentInd(BL1 value)` Sets the value of the '`Independent Ind`' containment reference.
`void` | `setMoodCode(XDocumentSubstanceMood value)` Sets the value of the '`Mood Code`' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setProduct(POCDMT000040Product value)` Sets the value of the '`Product`' containment reference.
`void` | `setQuantity(PQ value)` Sets the value of the '`Quantity`' containment reference.
`void` | `setRepeatNumber(IVLINT value)` Sets the value of the '`Repeat Number`' containment reference.
`void` | `setStatusCode(CS1 value)` Sets the value of the '`Status Code`' containment reference.
`void` | `setSubject(POCDMT000040Subject value)` Sets the value of the '`Subject`' containment reference.
`void` | `setText(ED value)` Sets the value of the '`Text`' containment reference.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.
`void` | `unsetMoodCode()` Unsets the value of the '`Mood Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040Supply_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_TemplateId()`

### getId

    org.eclipse.emf.common.util.EList getId()

  Returns the value of the 'Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_Id()`

### getCode

    CD getCode()

  Returns the value of the 'Code' containment reference.

  If the meaning of the 'Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `setCode(CD)`, `CDAR2Package.getPOCDMT000040Supply_Code()`

### setCode

    void setCode(CD value)

  Sets the value of the '`Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Code' containment reference.
  See Also:
    `getCode()`

### getText

    ED getText()

  Returns the value of the 'Text' containment reference.

  If the meaning of the 'Text' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text' containment reference.
  See Also:
    `setText(ED)`, `CDAR2Package.getPOCDMT000040Supply_Text()`

### setText

    void setText(ED value)

  Sets the value of the '`Text`' containment reference.

  Parameters:
    `value` - the new value of the 'Text' containment reference.
  See Also:
    `getText()`

### getStatusCode

    CS1 getStatusCode()

  Returns the value of the 'Status Code' containment reference.

  If the meaning of the 'Status Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Status Code' containment reference.
  See Also:
    `setStatusCode(CS1)`, `CDAR2Package.getPOCDMT000040Supply_StatusCode()`

### setStatusCode

    void setStatusCode(CS1 value)

  Sets the value of the '`Status Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Status Code' containment reference.
  See Also:
    `getStatusCode()`

### getEffectiveTime

    org.eclipse.emf.common.util.EList getEffectiveTime()

  Returns the value of the 'Effective Time' containment reference list. The list contents are of type `SXCMTS`.

  If the meaning of the 'Effective Time' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Effective Time' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_EffectiveTime()`

### getPriorityCode

    org.eclipse.emf.common.util.EList getPriorityCode()

  Returns the value of the 'Priority Code' containment reference list. The list contents are of type `CE`.

  If the meaning of the 'Priority Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Priority Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_PriorityCode()`

### getRepeatNumber

    IVLINT getRepeatNumber()

  Returns the value of the 'Repeat Number' containment reference.

  If the meaning of the 'Repeat Number' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Repeat Number' containment reference.
  See Also:
    `setRepeatNumber(IVLINT)`, `CDAR2Package.getPOCDMT000040Supply_RepeatNumber()`

### setRepeatNumber

    void setRepeatNumber(IVLINT value)

  Sets the value of the '`Repeat Number`' containment reference.

  Parameters:
    `value` - the new value of the 'Repeat Number' containment reference.
  See Also:
    `getRepeatNumber()`

### getIndependentInd

    BL1 getIndependentInd()

  Returns the value of the 'Independent Ind' containment reference.

  If the meaning of the 'Independent Ind' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Independent Ind' containment reference.
  See Also:
    `setIndependentInd(BL1)`, `CDAR2Package.getPOCDMT000040Supply_IndependentInd()`

### setIndependentInd

    void setIndependentInd(BL1 value)

  Sets the value of the '`Independent Ind`' containment reference.

  Parameters:
    `value` - the new value of the 'Independent Ind' containment reference.
  See Also:
    `getIndependentInd()`

### getQuantity

    PQ getQuantity()

  Returns the value of the 'Quantity' containment reference.

  If the meaning of the 'Quantity' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Quantity' containment reference.
  See Also:
    `setQuantity(PQ)`, `CDAR2Package.getPOCDMT000040Supply_Quantity()`

### setQuantity

    void setQuantity(PQ value)

  Sets the value of the '`Quantity`' containment reference.

  Parameters:
    `value` - the new value of the 'Quantity' containment reference.
  See Also:
    `getQuantity()`

### getExpectedUseTime

    IVLTS getExpectedUseTime()

  Returns the value of the 'Expected Use Time' containment reference.

  If the meaning of the 'Expected Use Time' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expected Use Time' containment reference.
  See Also:
    `setExpectedUseTime(IVLTS)`, `CDAR2Package.getPOCDMT000040Supply_ExpectedUseTime()`

### setExpectedUseTime

    void setExpectedUseTime(IVLTS value)

  Sets the value of the '`Expected Use Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Expected Use Time' containment reference.
  See Also:
    `getExpectedUseTime()`

### getSubject

    POCDMT000040Subject getSubject()

  Returns the value of the 'Subject' containment reference.

  If the meaning of the 'Subject' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Subject' containment reference.
  See Also:
    `setSubject(POCDMT000040Subject)`, `CDAR2Package.getPOCDMT000040Supply_Subject()`

### setSubject

    void setSubject(POCDMT000040Subject value)

  Sets the value of the '`Subject`' containment reference.

  Parameters:
    `value` - the new value of the 'Subject' containment reference.
  See Also:
    `getSubject()`

### getSpecimen

    org.eclipse.emf.common.util.EList getSpecimen()

  Returns the value of the 'Specimen' containment reference list. The list contents are of type `POCDMT000040Specimen`.

  If the meaning of the 'Specimen' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specimen' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_Specimen()`

### getProduct

    POCDMT000040Product getProduct()

  Returns the value of the 'Product' containment reference.

  If the meaning of the 'Product' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Product' containment reference.
  See Also:
    `setProduct(POCDMT000040Product)`, `CDAR2Package.getPOCDMT000040Supply_Product()`

### setProduct

    void setProduct(POCDMT000040Product value)

  Sets the value of the '`Product`' containment reference.

  Parameters:
    `value` - the new value of the 'Product' containment reference.
  See Also:
    `getProduct()`

### getPerformer

    org.eclipse.emf.common.util.EList getPerformer()

  Returns the value of the 'Performer' containment reference list. The list contents are of type `POCDMT000040Performer2`.

  If the meaning of the 'Performer' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Performer' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_Performer()`

### getAuthor

    org.eclipse.emf.common.util.EList getAuthor()

  Returns the value of the 'Author' containment reference list. The list contents are of type `POCDMT000040Author`.

  If the meaning of the 'Author' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_Author()`

### getInformant

    org.eclipse.emf.common.util.EList getInformant()

  Returns the value of the 'Informant' containment reference list. The list contents are of type `POCDMT000040Informant12`.

  If the meaning of the 'Informant' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Informant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_Informant()`

### getParticipant

    org.eclipse.emf.common.util.EList getParticipant()

  Returns the value of the 'Participant' containment reference list. The list contents are of type `POCDMT000040Participant2`.

  If the meaning of the 'Participant' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Participant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_Participant()`

### getEntryRelationship

    org.eclipse.emf.common.util.EList getEntryRelationship()

  Returns the value of the 'Entry Relationship' containment reference list. The list contents are of type `POCDMT000040EntryRelationship`.

  If the meaning of the 'Entry Relationship' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Entry Relationship' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_EntryRelationship()`

### getReference

    org.eclipse.emf.common.util.EList getReference()

  Returns the value of the 'Reference' containment reference list. The list contents are of type `POCDMT000040Reference`.

  If the meaning of the 'Reference' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reference' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_Reference()`

### getPrecondition

    org.eclipse.emf.common.util.EList getPrecondition()

  Returns the value of the 'Precondition' containment reference list. The list contents are of type `POCDMT000040Precondition`.

  If the meaning of the 'Precondition' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Precondition' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Supply_Precondition()`

### getClassCode

    ActClassSupply getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"SPLY"`. The literals are from the enumeration `ActClassSupply`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `ActClassSupply`, `isSetClassCode()`, `unsetClassCode()`, `setClassCode(ActClassSupply)`, `CDAR2Package.getPOCDMT000040Supply_ClassCode()`

### setClassCode

    void setClassCode(ActClassSupply value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `ActClassSupply`, `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(ActClassSupply)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(ActClassSupply)`

### getMoodCode

    XDocumentSubstanceMood getMoodCode()

  Returns the value of the 'Mood Code' attribute. The default value is `"INT"`. The literals are from the enumeration `XDocumentSubstanceMood`.

  If the meaning of the 'Mood Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mood Code' attribute.
  See Also:
    `XDocumentSubstanceMood`, `isSetMoodCode()`, `unsetMoodCode()`, `setMoodCode(XDocumentSubstanceMood)`, `CDAR2Package.getPOCDMT000040Supply_MoodCode()`

### setMoodCode

    void setMoodCode(XDocumentSubstanceMood value)

  Sets the value of the '`Mood Code`' attribute.

  Parameters:
    `value` - the new value of the 'Mood Code' attribute.
  See Also:
    `XDocumentSubstanceMood`, `isSetMoodCode()`, `unsetMoodCode()`, `getMoodCode()`

### unsetMoodCode

    void unsetMoodCode()

  Unsets the value of the '`Mood Code`' attribute.

  See Also:
    `isSetMoodCode()`, `getMoodCode()`, `setMoodCode(XDocumentSubstanceMood)`

### isSetMoodCode

    boolean isSetMoodCode()

  Returns whether the value of the '`Mood Code`' attribute is set.

  Returns:
    whether the value of the 'Mood Code' attribute is set.
  See Also:
    `unsetMoodCode()`, `getMoodCode()`, `setMoodCode(XDocumentSubstanceMood)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040Supply_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD